Query budget

Query budget records by budget ID, work order folio, date range, or pagination parameters.

Use this endpoint to query budget records and filter the results by budget ID, work order folio, date range, or pagination parameters.

Input parameters

ParameterTypeRequiredDescription
idTextOptionalBudget ID.
wo_folioTextOptionalWork order ID. If you send the budget ID, the work order ID is not taken into account, and vice versa.
sinceTextOptionalInitial query date. Format: YYYY-MM-DDTHH:MM:SS-UTC. Example: 2016-07-12T20:00:00-03. Defaults to 30 days before the current date.
untilTextOptionalEnd query date. Format: YYYY-MM-DDTHH:MM:SS-UTC. Example: 2016-07-12T20:00:00-03. Defaults to the current date.
type_dateTextOptionalDate type used for the query. See type_date values.
startIntegerOptionalRecord number where the query starts. All queries are limited to 100 records; use this parameter for pagination when there are more than 100 records.
limitIntegerOptionalFinal record number returned by the query.

type_date values

ValueDescription
creation_dateDate of creation of the work order. This is the default value.
initial_dateInitial date of the task.
final_dateEnd date of the task.
approval_dateApproval date.

Output parameters

ParameterTypeDescription
folioTextBudget ID.
referenceTextBudget reference.
noteIntegerBudget notes.
exchange_valueIntegerExchange value.
id_priorityIntegerBudget priority. Possible values: 1 Very High, 2 High, 3 Medium, 4 Low, 5 Very Low.
date_createDateBudget creation date.
statusTextBudget status. Possible values: 1 Pending approval, 2 Approved, 3 Rejected.
approved_byTextUser who approved the budget.
note_statusTextNotes for the budget status change.
discountRealDiscount.
id_currencyIntegerCurrency ID.
created_byTextUser who created the budget.
third_parties_nameTextName of the third party associated with the budget.
third_parties_codeTextCode of the third party associated with the budget.
third_parties_addressTextAddress of the third party associated with the budget.
third_parties_emailTextEmail of the third party associated with the budget.
third_parties_cityIntegerCity of the third party associated with the budget.
third_parties_countryTextCountry of the third party associated with the budget.
third_parties_telephone_1TextPrimary telephone number of the third party associated with the budget.
third_parties_telephone_2TextSecondary telephone number of the third party associated with the budget.
costs_center_descriptionTextCost center description.
items_descriptionTextName of the work order asset associated with the budget.
items_groups_descriptionTextAsset type.
items_groups_1_descriptionTextAsset classification 1.
items_groups_2_descriptionIntegerAsset classification 2.
conditions_descriptionTextDescription of conditions.
currency_descriptionTextCurrency description.
symbolTextCurrency symbol.
wo_folioTextWork order number associated with the budget.
id_status_work_orderTextWork order status. Possible values: 1 WO in Process, 2 WO in Review, 3 WO terminated, 4 WO cancelled.
final_dateTextWork order end date.
user_assignedTextUser assigned to the work order.
list_itemsJSONList of assets associated with the budget.
approval_dateDateBudget approval date.

Example request

GET https://app.fracttal.com/api/wo_budget/22

Example response

{
  "success": true,
  "message": "200",
  "data": [
    {
      "id": 22,
      "id_company": 69,
      "id_work_order": 1243,
      "id_third_parties_log": 16,
      "id_cost_center": 2,
      "folio": "22",
      "id_currency": 4,
      "exchange_value": 1,
      "reference": "Referencia",
      "id_priority": 1,
      "note": "Notas",
      "id_item_log": 170,
      "date_create": "2019-05-07T14:15:24.607382+00:00",
      "id_condition": 1,
      "status": 1,
      "approved_by": null,
      "note_status": null,
      "discount": 0,
      "created_by": "Laura Marcela Peña Jaramillo",
      "third_parties_name": "Fracttal SPA - Tercero",
      "third_parties_code": "Fttl_Tre02",
      "third_parties_address": "San Pio X",
      "third_parties_email": "[email protected]",
      "third_parties_city": "Providencia",
      "third_parties_country": "Chile",
      "third_parties_telephone_1": "555-555-55",
      "third_parties_telephone_2": null,
      "costs_center_description": "Materiales",
      "items_description": "Edificio prinicipal San pio X Santiago 000000 Región Metropolitana Chile { 7543 }",
      "items_groups_description": "Tipo 1",
      "items_groups_1_description": null,
      "items_groups_2_description": null,
      "conditions_description": "30 días",
      "currency_description": "Peso Colombiano",
      "symbol": "$",
      "wo_folio": "1279",
      "id_status_work_order": 1,
      "final_date": null,
      "user_assigned": "Carlos Jaramillo",
      "parent_description": "// Edificio prinicipal/ ",
      "list_items": [
        {
          "id_company": 69,
          "type_resource": 1,
          "qty": 5,
          "unit_cost_company": 54000,
          "total_cost_company": 270000,
          "unit_cost": 54000,
          "total_cost": 270000,
          "id_taxes": 1,
          "hrl_description": null,
          "items_log_description": "O-RING 24,2X3 BOMBA TRIDO 45 H (ATLASCOPCO 0663 2127-00)  -Diamec 232    { 200426 }",
          "stl_description": null
        }
      ],
      "approval_date": null
    }
  ],
  "total": 1
}

Test it

Open the interactive test page:

https://testapi.fracttal.com/consultarPresupuesto/es

Path Params
string
required
Response
200
Language
LoadingLoading…